%bcond_without check

%global goipath         github.com/xeipuuv/gojsonschema
Version:                1.2.0

%gometa

%global common_description %{expand:
An implementation of JSON Schema for the Go programming language. Supports
draft-04, draft-06 and draft-07.}

%global golicenses      LICENSE-APACHE-2.0.txt
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Implementation of JSON Schema, draft v4 v6 & v7

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Reject-comma-in-time-format.patch

BuildRequires:  golang(github.com/xeipuuv/gojsonreference)

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-1
- initial build
